Package org.apache.felix.webconsole.servlet

## Class ServletConstants

- java.lang.Object
- - org.apache.felix.webconsole.servlet.ServletConstants

    public abstract class ServletConstants
    extends Object

Constants for servlets registered with the web console.

### Field Summary

Fields
`static String` `ATTR_APP_ROOT` The name of the request attribute providing the absolute path of the Web Console root (value is "felix.webconsole.appRoot").
`static String` `ATTR_CONFIGURATION` The name of the request attribute holding the configuration params `Map` for the request (value is "felix.webconsole.configuration").
`static String` `ATTR_PLUGIN_ROOT` The name of the request attribute providing the absolute path of the current plugin (value is "felix.webconsole.pluginRoot").
`static String` `PLUGIN_CATEGORY` The category under which the servlet is listed in the top navigation by the web console (value is "felix.webconsole.category").
`static String` `PLUGIN_CSS_REFERENCES` The name of the service registration properties providing references to addition CSS files that should be loaded when rendering the header for a registered plugin.
`static String` `PLUGIN_LABEL` The URI address label under which the servlet is called by the web console (value is "felix.webconsole.label").
`static String` `PLUGIN_TITLE` The title under which the servlet is called by the web console (value is "felix.webconsole.title").

### Constructor Summary

Constructors
`ServletConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_LABEL

    public static final String PLUGIN_LABEL

The URI address label under which the servlet is called by the web console (value is "felix.webconsole.label").

This service registration property must be set to a single non-empty String value. Otherwise the Servlet services will be ignored by the web console and not be used as a plugin.

See Also:
  Constant Field Values

#### PLUGIN_TITLE

    public static final String PLUGIN_TITLE

The title under which the servlet is called by the web console (value is "felix.webconsole.title").

This property is required for the service to be used as a plugin. Otherwise the service is just ignored by the web console.

See Also:
  Constant Field Values

#### PLUGIN_CATEGORY

    public static final String PLUGIN_CATEGORY

The category under which the servlet is listed in the top navigation by the web console (value is "felix.webconsole.category").

If not specified, the servlet is put into the default category.

See Also:
  Constant Field Values

#### PLUGIN_CSS_REFERENCES

    public static final String PLUGIN_CSS_REFERENCES

The name of the service registration properties providing references to addition CSS files that should be loaded when rendering the header for a registered plugin.

This property is expected to be a single string value, array of string values or a Collection (or Vector) of string values.

See Also:
  Constant Field Values

#### ATTR_APP_ROOT

    public static final String ATTR_APP_ROOT

The name of the request attribute providing the absolute path of the Web Console root (value is "felix.webconsole.appRoot"). This consists of the servlet context path (from `HttpServletRequest.getContextPath()`) and the Web Console servlet path (from `HttpServletRequest.getServletPath()`, `/system/console` by default).

The type of this request attribute is `String`.

See Also:
  Constant Field Values

#### ATTR_PLUGIN_ROOT

    public static final String ATTR_PLUGIN_ROOT

The name of the request attribute providing the absolute path of the current plugin (value is "felix.webconsole.pluginRoot"). This consists of the servlet context path (from `ServletRequest.getContextPath()`), the configured path of the web console root (`/system/console` by default) and the plugin label `PLUGIN_LABEL`.

The type of this request attribute is `String`.

See Also:
  Constant Field Values

#### ATTR_CONFIGURATION

    public static final String ATTR_CONFIGURATION

The name of the request attribute holding the configuration params `Map` for the request (value is "felix.webconsole.configuration").

The type of this request attribute is `Map<String, Object>`.

This map contains the web console configuration params managed by the web console. It can be used to access to the configuration values while processing requests.

See Also:
  Constant Field Values

### Constructor Detail

#### ServletConstants

    public ServletConstants()